package com.softwaretestingclass.kanif.client;

import java.net.MalformedURLException;
import java.net.URL;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import com.softwaretestingclass.kanif.server.IWebService;

public class WebServiceClient {
	
	public static void main(String[] args) throws MalformedURLException {
		
		//WSDL Location http://localhost:8077/web?wsdl
		URL url = new URL ("http://localhost:8075/web?wsdl");
		
		//Qualifying name accepts targetNamespace and Service name 
		QName qName = new QName("http://server.kanif.softwaretestingclass.com/","WebServiceImplementService");
				
        // Create service
		Service clientservice = Service.create(url,qName);
		
		//Get port of service
		IWebService service = clientservice.getPort(IWebService.class);
		
		
		System.out.println(service.getUIDPassword("Appy", "9090","appy@gmail.com","Toronto","0123456789")); 
		
	}
}
